Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.config.impl
Class PropertiesProxyConfig

    java.lang.Object
      org.openxri.config.impl.PropertiesProxyConfig

All Implemented Interfaces:
  ProxyConfig

    public class PropertiesProxyConfig

extends java.lang.Object
implements ProxyConfig

Provides an implementation of the ProxyConfig interface based on Java properties.

Author:
  =chetan

Field Summary
`protected java.util.Properties` | `config`
`protected java.lang.String` | `configFile`
`static java.lang.String` | `DEFAULT_PROXY_CONFIG_FILE`
`static java.lang.String` | `PROXY_CONFIG_FILE` The proxy properties file path (relative to the current context root)

Fields inherited from interface org.openxri.config.ProxyConfig
`AT_AUTHORITY, BANG_AUTHORITY, BARE_XRI_NOTFOUND_REDIRECT, DEFAULT_MAX_BYTES_PER_REQUEST, DEFAULT_MAX_FOLLOW_REDIRECTS, DEFAULT_MAX_FOLLOW_REFS, DEFAULT_MAX_REQUESTS, DEFAULT_MAX_TOTAL_BYTES, DEFAULT_PROXY_CLASS, EQUALS_AUTHORITY, HTTPS_BYPASS_AUTHORITIES, MAX_BYTES_PER_REQUEST, MAX_FOLLOW_REDIRECTS, MAX_FOLLOW_REFS, MAX_REQUESTS, MAX_TOTAL_BYTES, PROXY_CLASS, ROOT_REDIRECT, SUPPORTED_RES_MEDIA_TYPES`

Constructor Summary
`PropertiesProxyConfig()`
`PropertiesProxyConfig(java.util.Properties config)`
`PropertiesProxyConfig(javax.servlet.ServletContext servletContext, java.util.Properties properties)`
`PropertiesProxyConfig(java.lang.String configFile)`

Method Summary
`XRD` | `getAtAuthority()` If proxied resolution is enabled, this gets the @ authority that this server can use its own proxy requests.
`XRD` | `getBangAuthority()` If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.
`java.lang.String` | `getBareXRINotFoundRedirect()`
`XRD` | `getEqualsAuthority()` If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.
`java.lang.String[]` | `getHttpsBypassAuthorities()`
`int` | `getMaxBytesPerRequest()`
`int` | `getMaxFollowRedirects()`
`int` | `getMaxFollowRefs()`
`int` | `getMaxHttpRedirectAllowed()`
`int` | `getMaxRequests()`
`int` | `getMaxTotalBytes()`
`java.lang.String` | `getProxyImplClass()` Returns the name of the Java class that implements the Server interface.
`java.lang.String` | `getRootRedirect()`
`java.lang.String` | `getSetting(java.lang.String key)` For extensibility: Get any setting with a given key
`java.lang.String[]` | `getSupportedResMediaTypes()`
`void` | `init()` Initializes configuration
`void` | `persist()` Persists any changes that were made to the configuration
`void` | `setAtAuthority(XRD oVal)` If proxied resolution is enabled, this sets the @ authority that this server can use its own proxy requests.
`void` | `setBangAuthority(XRD oVal)` If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.
`void` | `setBareXRINotFoundRedirect(java.lang.String bareXRINotFoundRedirect)`
`void` | `setEqualsAuthority(XRD oVal)` If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.
`void` | `setHttpsBypassAuthorities(java.lang.String[] authorities)`
`void` | `setMaxBytesPerRequest(int maxBytesPerRequest)`
`void` | `setMaxFollowRedirects(int maxFollowRedirects)`
`void` | `setMaxFollowRefs(int maxFollowRefs)`
`void` | `setMaxRequests(int maxRequests)`
`void` | `setMaxTotalBytes(int maxTotalBytes)`
`void` | `setProxyImplClass(java.lang.String value)` Sets the name of the Java class that implements the Server interface.
`void` | `setRootRedirect(java.lang.String rootRedirect)`
`void` | `setSupportedResMediaTypes(java.lang.String[] mediaTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_CONFIG_FILE

    public static final java.lang.String PROXY_CONFIG_FILE

  The proxy properties file path (relative to the current context root)

  See Also:
    Constant Field Values

### DEFAULT_PROXY_CONFIG_FILE

    public static final java.lang.String DEFAULT_PROXY_CONFIG_FILE

See Also:
  Constant Field Values

### config

    protected java.util.Properties config

### configFile

    protected java.lang.String configFile

Constructor Detail

### PropertiesProxyConfig

    public PropertiesProxyConfig(javax.servlet.ServletContext servletContext,
                                 java.util.Properties properties)

### PropertiesProxyConfig

    public PropertiesProxyConfig(java.util.Properties config)

### PropertiesProxyConfig

    public PropertiesProxyConfig(java.lang.String configFile)

### PropertiesProxyConfig

    public PropertiesProxyConfig()

Method Detail

### init

    public void init()

  Description copied from interface: `ProxyConfig`
  Initializes configuration

  Specified by:
    `init` in interface `ProxyConfig`

### persist

    public void persist()

  Description copied from interface: `ProxyConfig`
  Persists any changes that were made to the configuration

  Specified by:
    `persist` in interface `ProxyConfig`

### getSetting

    public java.lang.String getSetting(java.lang.String key)

  Description copied from interface: `ProxyConfig`
  For extensibility: Get any setting with a given key

  Specified by:
    `getSetting` in interface `ProxyConfig`

### getProxyImplClass

    public java.lang.String getProxyImplClass()

  Description copied from interface: `ProxyConfig`
  Returns the name of the Java class that implements the Server interface.

  Specified by:
    `getProxyImplClass` in interface `ProxyConfig`

### setProxyImplClass

    public void setProxyImplClass(java.lang.String value)

  Description copied from interface: `ProxyConfig`
  Sets the name of the Java class that implements the Server interface.

  Specified by:
    `setProxyImplClass` in interface `ProxyConfig`

### getEqualsAuthority

    public XRD getEqualsAuthority()
                           throws java.net.URISyntaxException,
                                  java.text.ParseException

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.

  Specified by:
    `getEqualsAuthority` in interface `ProxyConfig`
  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setEqualsAuthority

    public void setEqualsAuthority(XRD oVal)

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.

  Specified by:
    `setEqualsAuthority` in interface `ProxyConfig`

### getAtAuthority

    public XRD getAtAuthority()
                       throws java.net.URISyntaxException,
                              java.text.ParseException

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this gets the @ authority that this server can use its own proxy requests.

  Specified by:
    `getAtAuthority` in interface `ProxyConfig`
  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setAtAuthority

    public void setAtAuthority(XRD oVal)

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this sets the @ authority that this server can use its own proxy requests.

  Specified by:
    `setAtAuthority` in interface `ProxyConfig`

### getBangAuthority

    public XRD getBangAuthority()
                         throws java.net.URISyntaxException,
                                java.text.ParseException

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.

  Specified by:
    `getBangAuthority` in interface `ProxyConfig`
  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setBangAuthority

    public void setBangAuthority(XRD oVal)

  Description copied from interface: `ProxyConfig`
  If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.

  Specified by:
    `setBangAuthority` in interface `ProxyConfig`

### getMaxBytesPerRequest

    public int getMaxBytesPerRequest()

  Specified by:
    `getMaxBytesPerRequest` in interface `ProxyConfig`

### getMaxFollowRedirects

    public int getMaxFollowRedirects()

  Specified by:
    `getMaxFollowRedirects` in interface `ProxyConfig`

### getMaxFollowRefs

    public int getMaxFollowRefs()

  Specified by:
    `getMaxFollowRefs` in interface `ProxyConfig`

### getMaxHttpRedirectAllowed

    public int getMaxHttpRedirectAllowed()

  Specified by:
    `getMaxHttpRedirectAllowed` in interface `ProxyConfig`

### getMaxRequests

    public int getMaxRequests()

  Specified by:
    `getMaxRequests` in interface `ProxyConfig`

### getMaxTotalBytes

    public int getMaxTotalBytes()

  Specified by:
    `getMaxTotalBytes` in interface `ProxyConfig`

### getSupportedResMediaTypes

    public java.lang.String[] getSupportedResMediaTypes()

  Specified by:
    `getSupportedResMediaTypes` in interface `ProxyConfig`

### getHttpsBypassAuthorities

    public java.lang.String[] getHttpsBypassAuthorities()

  Specified by:
    `getHttpsBypassAuthorities` in interface `ProxyConfig`

### setMaxBytesPerRequest

    public void setMaxBytesPerRequest(int maxBytesPerRequest)

  Specified by:
    `setMaxBytesPerRequest` in interface `ProxyConfig`

### setMaxFollowRedirects

    public void setMaxFollowRedirects(int maxFollowRedirects)

  Specified by:
    `setMaxFollowRedirects` in interface `ProxyConfig`

### setMaxFollowRefs

    public void setMaxFollowRefs(int maxFollowRefs)

  Specified by:
    `setMaxFollowRefs` in interface `ProxyConfig`

### setMaxRequests

    public void setMaxRequests(int maxRequests)

  Specified by:
    `setMaxRequests` in interface `ProxyConfig`

### setMaxTotalBytes

    public void setMaxTotalBytes(int maxTotalBytes)

  Specified by:
    `setMaxTotalBytes` in interface `ProxyConfig`

### setSupportedResMediaTypes

    public void setSupportedResMediaTypes(java.lang.String[] mediaTypes)

  Specified by:
    `setSupportedResMediaTypes` in interface `ProxyConfig`

### setHttpsBypassAuthorities

    public void setHttpsBypassAuthorities(java.lang.String[] authorities)

  Specified by:
    `setHttpsBypassAuthorities` in interface `ProxyConfig`

### getBareXRINotFoundRedirect

    public java.lang.String getBareXRINotFoundRedirect()

  Specified by:
    `getBareXRINotFoundRedirect` in interface `ProxyConfig`

### setBareXRINotFoundRedirect

    public void setBareXRINotFoundRedirect(java.lang.String bareXRINotFoundRedirect)

  Specified by:
    `setBareXRINotFoundRedirect` in interface `ProxyConfig`

### getRootRedirect

    public java.lang.String getRootRedirect()

  Specified by:
    `getRootRedirect` in interface `ProxyConfig`

### setRootRedirect

    public void setRootRedirect(java.lang.String rootRedirect)

  Specified by:
    `setRootRedirect` in interface `ProxyConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.